View Issue Details

IDProjectCategoryView StatusLast Update
0002006SymmetricDSImprovementpublic2014-10-09 07:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.9 
Target Version3.6.10Fixed in Version3.6.10 
Summary0002006: Add dataloader.apply.changes.only property that control whether update statements will update all columns or only changed column
DescriptionAdd dataloader.apply.changes.only property that control whether update statements will update all columns or only changed columns. Default to true.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4aff0862

2014-10-08 10:23:04

chenson

Details Diff
0002006: Add dataloader.apply.changes.only property that control whether update statements will update all columns or only changed column
0002006
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-10-08 10:20 chenson New Issue
2014-10-08 10:20 chenson Status new => assigned
2014-10-08 10:20 chenson Assigned To => chenson
2014-10-08 10:24 chenson Status assigned => resolved
2014-10-08 10:24 chenson Fixed in Version => 3.6.10
2014-10-08 10:24 chenson Resolution open => fixed
2014-10-08 11:00 chenson Changeset attached => SymmetricDS 3.6 r8788
2014-10-08 11:00 chenson Changeset attached => SymmetricDS trunk r8789
2014-10-09 07:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4aff0862